try {
importScripts("../pjcl.js");
} catch(e) {throw new Error("could not import ../pjcl.js");}
try {
importScripts("AddStackToError.js");
} catch(e) {throw new Error("could not import AddStackToError.js");}

onmessage = function(e) { try {
	var p = pjclHex2BigInt(e.data[0]);
	var q = pjclHex2BigInt(e.data[1]);
	var g = pjclHex2BigInt(e.data[2]);
	var y = pjclHex2BigInt(e.data[3]);
	var msg = pjclHex2BitArray(e.data[4]);
	var r = pjclHex2BigInt(e.data[5]);
	var s = pjclHex2BigInt(e.data[6]);
	var count = e.data[7];
	var repetitions = e.data[8];
	var minTotalTime = Number.POSITIVE_INFINITY;
	for (var j = 1; j <= repetitions; j++) {
		var t1 = performance.now();
		for (var i = 0; i < count; i++) {
			var success = pjclDSAVerifyMsg(p,q,g,y,msg,r,s);
		}
		var t2 = performance.now();
		var totalTime = t2 - t1;
		if (totalTime < minTotalTime) {
			minTotalTime = totalTime;
		}
		if (j < repetitions) {
			postMessage([success,totalTime,j]);
		}
		else {
			postMessage([success,totalTime,j,minTotalTime]);
		}
	}
} catch(e) {
	throw new Error(pjclAddStackToError(e));
}}
