/* Copyright (c) 2018 Pomcor. Use subject to the PJCL License, https:pomcor.com/pjcl/pjcl-license.txt */

/* for use in browsers that support the web crypto API */

pjclBrowserEntropy128Bits = function() {
	 var ui32Array = new Uint32Array(4);
         var cryptoObject = self.crypto || self.msCrypto; // for IE
         cryptoObject.getRandomValues(ui32Array);
	 var bitArray = pjclUI32Array2BitArray(ui32Array);
	 return bitArray;
}

pjclBrowserEntropy192Bits = function() {
	 var ui32Array = new Uint32Array(6);
         var cryptoObject = self.crypto || self.msCrypto; // for IE
	 cryptoObject.getRandomValues(ui32Array);
	 var bitArray = pjclUI32Array2BitArray(ui32Array);
	 return bitArray;
}
